<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <!-- WARNING: for iOS 7, remove the width=device-width and height=device-height attributes. See https://issues.apache.org/jira/browse/CB-4323 -->
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />
        <link href="js/libs/jquery-mobile/jquery.mobile.icons.css" rel="stylesheet" type="text/css"/>
        <link href="js/libs/jquery-mobile/jquery.mobile.css" rel="stylesheet" type="text/css"/>
        <script src="js/libs/jquery/jquery.js" type="text/javascript"></script>
        <script src="js/libs/jquery-mobile/jquery.mobile.js" type="text/javascript"></script>
        <title>Hello World</title>
    </head>
    <body>

        <!-- Start of first page -->
        <div data-role="page" id="page1" data-theme="b">
            <div data-role="header" data-position="fixed">

                <a href="#page2" data-icon="plus">Add New Site</a>
                <a href="#page1" data-icon="carat-r" />Logout</a>

                <h1>Ben Johnson's Q1</h1>
            </div>
            <!-- /header -->

            <div data-role="content"  id="content">

            </div>
            <!-- /content -->

            <div data-role="footer" data-position="fixed" style="text-align:center;">

                <h1>Ben's Q1</h1>


            </div>
            <!-- /footer -->

        </div>
        <!-- /page -->



        <div data-role="page" class="ui-responsive-panel" id="page2" data-title="Panel responsive page" data-url="panel-responsive-page1" data-theme="b">
            <div data-role="header">
                <h1>Panel responsive</h1>
                <a href="#page1" data-icon="home">Home</a>
                <a href="#page1" data-icon="home" data-iconpos="notext">Home</a>
            </div><!-- /header -->
            <div role="main" class="ui-content">
                <form class="userform">
                    <h2>Add Site</h2>
                    <label for="userName">Username:</label>
                    <input type="text" name="userName" id="userName" value="" data-clear-btn="true" data-mini="true">
                    <label for="password">Password:</label>
                    <input type="text" name="password" id="password" value="" data-clear-btn="true" autocomplete="off" data-mini="true">
                    <label for="url">URL:</label>
                    <input type="text" name="url" id="url" value="" data-clear-btn="true" autocomplete="off" data-mini="true">
                    <div class="ui-grid-a">
                        <a href="#" id="save" data-role="button" data-icon="check" data-theme="a" >Add</a>
                    </div>
                </form>
            </div><!-- /content -->


 
        </div>


        <script type="text/javascript" src="js/cordova.js"></script>
        <script type="text/javascript">
            var data = [{"key": {"kind": "Site", "id": 0, "name": "hjsdsd"}, "propertyMap": {"userName": "vdsvhs", "password": "dhsdjs"}}, {"key": {"kind": "Site", "id": 0, "name": "sdfsdfsd"}, "propertyMap": {"userName": "rgdsgasdg", "password": "fsdfsdf"}}];
               $(document).on("pageload", "#page1", function() {
                 
                 //make the ajax call
                
                         console.log(data);
                         var len = data.length;
                         for (var i = 0; i < len; i++)
                         {
                             $('#content').append($('<div>')
                                     .attr({
                                         'data-role': 'collapsible',
                                         'data-collapsed': 'true',
                                         'id': i
                                     }).html('<h4> Url: ' + data[i].key.name + '</h4>')
                                     );
                             
                             //make the collapsible set
                             $("#"+i).append($('<div>')
                                     .attr({
                                         'data-role': 'collapsible-set',
                                         'data-content-theme': 'c',
                                         'data-collapsed': 'true',
                                         'id': data[i].key.name
                                     }));
                                     
                              //Append to the collapsible set 
                             $("#" + data[i].key.name).append($('<div>')
                                     .attr({
                                         'data-role': 'collapsible',
                                         'data-content-theme': 'c',
                                         'data-collapsed': 'true'
                                     })
                                     .html('<h4>Username</h4><p>' + data[i].propertyMap.userName + ' </p>'));
                             
                             //Append to the collapsible set 
                             $("#" + data[i].key.name).append($('<div>')
                                     .attr({
                                         'data-role': 'collapsible',
                                         'data-content-theme': 'c',
                                         'data-collapsed': 'true'
                                     })
                                     .html('<h4>Password</h4><p>' + data[i].propertyMap.password + '</p>'));
                             $('#content').collapsibleset().trigger('create');
                         }
                         
                     });
             
             
             $(document).on('tap', '#add', function(e) {
                 $.mobile.changePage('#bar');
             });

             $(document).on('tap', '#save', function() {

                         $.mobile.changepage('#page1');
                     
                 });


             app.initialize();


        </script>
    </body>
</html>
